{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "regtools",
                "cis-splice-effects",
                "identify"
            ],
            "arguments": [
                "-i",
                "$(inputs.i)",
                "-e",
                "$(inputs.e)"
            ],
            "stdout": "cis_splice_effects_identify.i$(inputs.i).e$(inputs.e).tsv",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "griffithlab/regtools",
                    "dockerPull": "griffithlab/regtools"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#cis_splice_effects.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#cis_splice_effects.cwl/gtf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        "^.fa.fai"
                    ],
                    "id": "#cis_splice_effects.cwl/ref"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cis_splice_effects.cwl/variants"
                }
            ],
            "id": "#cis_splice_effects.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#cis_splice_effects.cwl/aberrant_splice_junctions",
                    "outputBinding": {
                        "glob": "cis_splice_effects_identify.i$(inputs.i).e$(inputs.e).tsv"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "regtools",
                "cis-splice-effects",
                "identify"
            ],
            "arguments": [
                "-I"
            ],
            "stdout": "cis_splice_effects_identify.I.tsv",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "griffithlab/regtools",
                    "dockerPull": "griffithlab/regtools"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#cis_splice_effects_v2.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#cis_splice_effects_v2.cwl/gtf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        "^.fa.fai"
                    ],
                    "id": "#cis_splice_effects_v2.cwl/ref"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cis_splice_effects_v2.cwl/variants"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cis_splice_effects_v2.cwl/aberrant_splice_junctions",
                    "outputBinding": {
                        "glob": "cis_splice_effects_identify.I.tsv"
                    }
                }
            ],
            "id": "#cis_splice_effects_v2.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "regtools",
                "cis-splice-effects",
                "identify"
            ],
            "arguments": [
                "-E"
            ],
            "stdout": "cis_splice_effects_identify.E.tsv",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "griffithlab/regtools",
                    "dockerPull": "griffithlab/regtools"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#cis_splice_effects_v3.cwl/bam"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#cis_splice_effects_v3.cwl/gtf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        "^.fa.fai"
                    ],
                    "id": "#cis_splice_effects_v3.cwl/ref"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cis_splice_effects_v3.cwl/variants"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#cis_splice_effects_v3.cwl/aberrant_splice_junctions",
                    "outputBinding": {
                        "glob": "cis_splice_effects_identify.E.tsv"
                    }
                }
            ],
            "id": "#cis_splice_effects_v3.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "regtools",
                "junctions",
                "annotate"
            ],
            "stdout": "junctions_annotate.bed",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "griffithlab/regtools",
                    "dockerPull": "griffithlab/regtools"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#junctions_annotate.cwl/gtf"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#junctions_annotate.cwl/junctions"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.fa.fai"
                    ],
                    "id": "#junctions_annotate.cwl/ref"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#junctions_annotate.cwl/junctions_annotated",
                    "outputBinding": {
                        "glob": "junctions_annotate.bed"
                    }
                }
            ],
            "id": "#junctions_annotate.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "regtools",
                "junctions",
                "extract"
            ],
            "stdout": "junctions_extract.bed",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "griffithlab/regtools",
                    "dockerPull": "griffithlab/regtools"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        "^.bai"
                    ],
                    "id": "#junctions_extract.cwl/bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#junctions_extract.cwl/junctions",
                    "outputBinding": {
                        "glob": "junctions_extract.bed"
                    }
                }
            ],
            "id": "#junctions_extract.cwl"
        },
        {
            "class": "Workflow",
            "label": "regtools workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "2",
                        "5"
                    ],
                    "id": "#main/e"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "3",
                        "50"
                    ],
                    "id": "#main/i"
                },
                {
                    "type": "File",
                    "doc": "Fasta file containing the reference corresponding to the bam files",
                    "id": "#main/reference"
                },
                {
                    "type": "File",
                    "doc": "RNAseq aligned tumor bam",
                    "id": "#main/rna_tumor_bam"
                },
                {
                    "type": "File",
                    "doc": "GTF file giving the transcriptome used to annotate against",
                    "id": "#main/transcriptome"
                },
                {
                    "type": "File",
                    "doc": "VCF file providing somatic variant calls",
                    "id": "#main/variants"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/cis_splice_effects/aberrant_splice_junctions",
                    "id": "#main/cis_splice_effects_identify"
                },
                {
                    "type": "File",
                    "outputSource": "#main/cis_splice_effects_v2/aberrant_splice_junctions",
                    "id": "#main/cis_splice_effects_identify_v2"
                },
                {
                    "type": "File",
                    "outputSource": "#main/cis_splice_effects_v3/aberrant_splice_junctions",
                    "id": "#main/cis_splice_effects_identify_v3"
                },
                {
                    "type": "File",
                    "outputSource": "#main/junctions_annotate/junctions_annotated",
                    "id": "#main/junctions_annotate_out"
                },
                {
                    "type": "File",
                    "outputSource": "#main/junctions_extract/junctions",
                    "id": "#main/junctions_extract_out"
                }
            ],
            "steps": [
                {
                    "scatter": [
                        "#main/cis_splice_effects/e",
                        "#main/cis_splice_effects/i"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#cis_splice_effects.cwl",
                    "in": [
                        {
                            "source": "#main/rna_tumor_bam",
                            "id": "#main/cis_splice_effects/bam"
                        },
                        {
                            "source": "#main/e",
                            "id": "#main/cis_splice_effects/e"
                        },
                        {
                            "source": "#main/transcriptome",
                            "id": "#main/cis_splice_effects/gtf"
                        },
                        {
                            "source": "#main/i",
                            "id": "#main/cis_splice_effects/i"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/cis_splice_effects/ref"
                        },
                        {
                            "source": "#main/variants",
                            "id": "#main/cis_splice_effects/variants"
                        }
                    ],
                    "out": [
                        "#main/cis_splice_effects/aberrant_splice_junctions"
                    ],
                    "id": "#main/cis_splice_effects"
                },
                {
                    "run": "#cis_splice_effects_v2.cwl",
                    "in": [
                        {
                            "source": "#main/rna_tumor_bam",
                            "id": "#main/cis_splice_effects_v2/bam"
                        },
                        {
                            "source": "#main/transcriptome",
                            "id": "#main/cis_splice_effects_v2/gtf"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/cis_splice_effects_v2/ref"
                        },
                        {
                            "source": "#main/variants",
                            "id": "#main/cis_splice_effects_v2/variants"
                        }
                    ],
                    "out": [
                        "#main/cis_splice_effects_v2/aberrant_splice_junctions"
                    ],
                    "id": "#main/cis_splice_effects_v2"
                },
                {
                    "run": "#cis_splice_effects_v3.cwl",
                    "in": [
                        {
                            "source": "#main/rna_tumor_bam",
                            "id": "#main/cis_splice_effects_v3/bam"
                        },
                        {
                            "source": "#main/transcriptome",
                            "id": "#main/cis_splice_effects_v3/gtf"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/cis_splice_effects_v3/ref"
                        },
                        {
                            "source": "#main/variants",
                            "id": "#main/cis_splice_effects_v3/variants"
                        }
                    ],
                    "out": [
                        "#main/cis_splice_effects_v3/aberrant_splice_junctions"
                    ],
                    "id": "#main/cis_splice_effects_v3"
                },
                {
                    "run": "#junctions_annotate.cwl",
                    "in": [
                        {
                            "source": "#main/transcriptome",
                            "id": "#main/junctions_annotate/gtf"
                        },
                        {
                            "source": "#main/junctions_extract/junctions",
                            "id": "#main/junctions_annotate/junctions"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/junctions_annotate/ref"
                        }
                    ],
                    "out": [
                        "#main/junctions_annotate/junctions_annotated"
                    ],
                    "id": "#main/junctions_annotate"
                },
                {
                    "run": "#junctions_extract.cwl",
                    "in": [
                        {
                            "source": "#main/rna_tumor_bam",
                            "id": "#main/junctions_extract/bam"
                        }
                    ],
                    "out": [
                        "#main/junctions_extract/junctions"
                    ],
                    "id": "#main/junctions_extract"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
